Option Explicit
const title = "KeynotedlMQO  SMBdlɕϊ"
const usage = "Usage: k2smb [MQO file name]"
Dim args
Set args = WScript.Arguments
Dim FS
Dim chk
Dim SrcFile
Dim DesFile
Dim StrDat
Dim pos
Dim ArrayStrings
ArrayStrings = Array("", "xskin-", "")
Dim DesFilename

If WScript.Arguments.Count <> 1 Then
	MsgBox title & vbCrLf & usage
	WScript.Quit
Else
	Set FS = CreateObject("Scripting.FileSystemObject")
	chk = FS.FileExists(args(0))
	If chk = False Then
		MsgBox "File not found"
		WScript.Quit
	End if
End If

Set SrcFile = FS.OpenTextFile(args(0))
StrDat = SrcFile.ReadAll
StrDat = replace(StrDat,"bdef:","")
StrDat = replace(StrDat,"sdef:","")

StrDat = replace(StrDat,"anchor_head|","$boneHEAD")
StrDat = replace(StrDat,"anchor_neck|","$boneNECK")
StrDat = replace(StrDat,"anchor_spine2|","$boneSPINE2")
StrDat = replace(StrDat,"anchor_spine1|","$boneSPINE1")
StrDat = replace(StrDat,"anchor_spine|","$boneSPINE")
StrDat = replace(StrDat,"anchor_pelvis|","$bonePELVIS")

StrDat = replace(StrDat,"anchor_pelvis|body","$bonePELVIS")
StrDat = replace(StrDat,"anchor_leg_L|body","$boneL_LEG")
StrDat = replace(StrDat,"anchor_leg_R|body","$boneR_LEG")
StrDat = replace(StrDat,"anchor_leg|body","$boneLEG")
StrDat = replace(StrDat,"anchor_leg1_L|body","$boneL_LEG1")
StrDat = replace(StrDat,"anchor_leg1_R|body","$boneR_LEG1")
StrDat = replace(StrDat,"anchor_leg1|body","$boneLEG1")
StrDat = replace(StrDat,"anchor_foot_L|body","$boneL_FOOT")
StrDat = replace(StrDat,"anchor_foot_R|body","$boneR_FOOT")
StrDat = replace(StrDat,"anchor_foot|body","$boneFOOT")
StrDat = replace(StrDat,"anchor_toe_L|body","$boneL_TOE0")
StrDat = replace(StrDat,"anchor_toe_R|body","$boneR_TOE0")
StrDat = replace(StrDat,"anchor_toe|body","$boneTOE0")
StrDat = replace(StrDat,"anchor_spine|body","$boneSPINE")
StrDat = replace(StrDat,"anchor_spine1|body","$boneSPINE1")
StrDat = replace(StrDat,"anchor_spine2|body","$boneSPINE2")
StrDat = replace(StrDat,"anchor_neck|body","$boneNECK")
StrDat = replace(StrDat,"anchor_arm_L|body","$boneL_ARM")
StrDat = replace(StrDat,"anchor_arm_R|body","$boneR_ARM")
StrDat = replace(StrDat,"anchor_arm|body","$boneARM")
StrDat = replace(StrDat,"anchor_arm1_L|body","$boneL_ARM1")
StrDat = replace(StrDat,"anchor_arm1_R|body","$boneR_ARM1")
StrDat = replace(StrDat,"anchor_arm1|body","$boneARM1")
StrDat = replace(StrDat,"anchor_arm2_L|body","$boneL_ARM2")
StrDat = replace(StrDat,"anchor_arm2_R|body","$boneR_ARM2")
StrDat = replace(StrDat,"anchor_arm2|body","$boneARM2")
SrcFile.Close

pos = InStrRev(args(0), "\")
ArrayStrings(0) = Left(args(0), pos)
ArrayStrings(2) = Mid(args(0), pos+1)
DesFilename = Join(ArrayStrings, "")
Set DesFile = FS.CreateTextFile(DesFilename)
DesFile.WriteLine (StrDat)
DesFile.Close
